/*
 * Reference.java
 */
package de.holzem.refbuilder;

/**
 * Reference
 */
public class Reference
{
	private String source;
	private String title;
	
	/**
	 * @param source
	 * @param title
	 */
	public Reference(String source, String title)
	{
		super();
		this.source = source;
		this.title = title;
	}
	
	/**
	 * @param title The title to set.
	 */
	public void setTitle(String title)
	{
		this.title = title;
	}
	/**
	 * 
	 * @return xml-representation of ThumbRef
	 */
	public String toXml() {
		StringBuffer sb = new StringBuffer();
		sb.append("<reference source=\"")
			.append(source)
			.append("\" title=\"")
			.append(title)
			.append("\" />");
		return sb.toString();
	}

	/**
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Reference (").append(source).append(", ").append(title).append(")");
		return sb.toString();
	}

}
