/*
 * ThumbRefList.java
 */
package de.holzem.refbuilder;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

/**
 * ThumbRefList
 */
public class ThumbRefList extends ArrayList
{
	public void sort()
	{
		Collections.sort(this);
	}

	/**
	 * Convert content to XML
	 * 
	 * @return XML-representation
	 */
	public String toXml()
	{
		StringBuffer sb = new StringBuffer();
		sb.append("<thumbreflist>\n");
		for (Iterator i = iterator(); i.hasNext();) {
			ThumbRef ref = (ThumbRef)i.next();
			sb.append(ref.toXml()).append("\n");
		}
		sb.append("</thumbreflist>\n");
		return sb.toString();
	}
}